summaryrefslogtreecommitdiff
path: root/share/spack/qa/bashcov
diff options
context:
space:
mode:
Diffstat (limited to 'share/spack/qa/bashcov')
-rwxr-xr-xshare/spack/qa/bashcov12
1 files changed, 12 insertions, 0 deletions
diff --git a/share/spack/qa/bashcov b/share/spack/qa/bashcov
new file mode 100755
index 0000000000..58fa4fe0d0
--- /dev/null
+++ b/share/spack/qa/bashcov
@@ -0,0 +1,12 @@
+#!/bin/bash
+#
+# This script acts like bash but runs kcov on the input script. We use it
+# to get coverage for Spack's bash scripts.
+#
+
+if [ -z "$SPACK_ROOT" ]; then
+ echo "ERROR: SPACK_ROOT was not set!"
+ exit 1
+fi
+
+kcov "$SPACK_ROOT/coverage" "$@"